# Сфера господства - инструкция по настройке

## Файлы для создания/замены

1. **Текстура**: создайте файл `domination_sphere.png` в директории `textures/item/` размером 16x16 пикселей.

2. **3D модель**: при необходимости замените файл `domination_sphere_3d.json` в директории `models/item/` своей собственной моделью.

## Использование в игре

Сфера господства - декоративный предмет, который не отображается ни в одной вкладке креативного режима. Получить его можно только командой:

```
/give @s moviemod:domination_sphere
```

Для версии с 3D моделью:

```
/give @s moviemod:domination_sphere{CustomModelData:1}
```

## Добавление собственной модели

Если вы хотите заменить предоставленную 3D модель своей собственной:

1. Создайте модель с помощью Blockbench или другого редактора.
2. Экспортируйте ее в формат JSON.
3. Замените содержимое файла `domination_sphere_3d.json` своим JSON.
4. Убедитесь, что ваша модель ссылается на текстуру `moviemod:item/domination_sphere` или обновите путь к текстуре.

## Расширенные возможности

Если вы хотите, чтобы Сфера господства отображалась в определенной вкладке креативного режима, добавьте следующий код в метод `addCreative` в классе `Moviemod.java`:

```java
else if (tabKey == CreativeModeTabs.TOOLS_AND_UTILITIES) {
    // Существующий код
    event.accept(ModItems.POTATO_CANNON);
    
    // Добавляем Сферу господства
    event.accept(ModItems.DOMINATION_SPHERE);
}
```

## Примечания
- Предмет имеет эпическую редкость (фиолетовый текст).
- Предмет не горит в лаве.
- Предмет не имеет никаких функций, это просто декоративный элемент. 